import { customerFetch } from "../../../api/fetch";

// pages/components/feedbackDetailItem/feedbackDetailItem.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    itemData: { type: Object, value: {} },
  },

  /**
   * 组件的初始数据
   */
  data: {
    inputValue: '',
  },

  /**
   * 组件的方法列表
   */
  methods: {
    inputHandle(e) {
      const val = e.detail.value;
      this.setData!({
        inputValue: val,
      });
    },

    sendFeedback(e) {
      const { id } = e.currentTarget.dataset;
      const val = this.data.inputValue;
      console.log(val, id);

      customerFetch({
        url: '/feedback/feedback',
        method: 'PUT',
        data: {
          id: id,
          replayContent: val,
          state: '3',
        },
      })
        .then(res => {
          wx.showToast({
            title: res.msg,
          });
          this.setData!({
            inputValue: '',
          });
          this.triggerEvent('refresh', {});
        })
        .catch((err: wx.GeneralCallbackResult) => {
          wx.showToast({
            title: err.errMsg,
            icon: 'none',
          });
        });
    },
  },
});
